/*
    Tray Notification Area
    Include file
    Copyright (c) 1995-2003 Alessandro Scotti
    http://www.walkofmind.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#define STRICT
#include <windows.h>
#pragma hdrstop
#include <windowsx.h>

/* Check if the definitions we need are already declared, */
/* otherwise declare them (definitions taken from WINUSER.H) */
#ifndef NIM_ADD

typedef struct _NOTIFYICONDATAA {
        DWORD cbSize;
        HWND hWnd;
        UINT uID;
        UINT uFlags;
        UINT uCallbackMessage;
        HICON hIcon;
        CHAR   szTip[64];
} NOTIFYICONDATAA, *PNOTIFYICONDATAA;

typedef struct _NOTIFYICONDATAW {
        DWORD cbSize;
        HWND hWnd;
        UINT uID;
        UINT uFlags;
        UINT uCallbackMessage;
        HICON hIcon;
        WCHAR  szTip[64];
} NOTIFYICONDATAW, *PNOTIFYICONDATAW;

#ifdef UNICODE
typedef NOTIFYICONDATAW     NOTIFYICONDATA;
typedef PNOTIFYICONDATAW    PNOTIFYICONDATA;
#else
typedef NOTIFYICONDATAA     NOTIFYICONDATA;
typedef PNOTIFYICONDATAA    PNOTIFYICONDATA;
#endif /* UNICODE */

#define NIM_ADD         0x00000000
#define NIM_MODIFY      0x00000001
#define NIM_DELETE      0x00000002

#define NIF_MESSAGE     0x00000001
#define NIF_ICON        0x00000002
#define NIF_TIP         0x00000004

#ifdef __cplusplus
extern "C" {
#endif

BOOL APIENTRY Shell_NotifyIconA(DWORD dwMessage, PNOTIFYICONDATAA lpData);
BOOL APIENTRY Shell_NotifyIconW(DWORD dwMessage, PNOTIFYICONDATAW lpData);

#ifdef __cplusplus
}
#endif

#ifdef UNICODE
#define Shell_NotifyIcon  Shell_NotifyIconW
#else
#define Shell_NotifyIcon  Shell_NotifyIconA
#endif /* UNICODE */

#endif /* NIM_ADD not defined */
